ParseHtml (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class ParseHtml

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.ParseHtml

All Implemented Interfaces:
  ParseHtmlConstants

    public class ParseHtml

extends java.lang.Object
implements ParseHtmlConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParseHtmlTokenManager` | `token_source`

Fields inherited from interface edu.harvard.hul.ois.jhove.module.html.ParseHtmlConstants
`COLON, DEFAULT, DOCTYPEKEYWORD, ENDING_COMMENT, EOF, EQUALS, IN_ATTVALUE, IN_COMMENT, IN_DOCTYPE, IN_DOCTYPE2, IN_PCDATA, IN_TAG, LABRACKET, NAKEDDTITEM, NAKEDVALUE, NAME, OPENCOMMENT, PCDATA, PCDATASTART, QMARK, QUOTEDDTITEM, QUOTEDVALUE, RABRACKET, SINGQUOTEDVALUE, SLASH, STARTDOCTYPE, tokenImage`

Constructor Summary
`ParseHtml(CharStream stream)`
`ParseHtml(ParseHtmlTokenManager tm)`

Method Summary
`void` | `Attribute(java.util.List attrs)`
`java.lang.String` | `AttrVal()`
`JHCloseTag` | `CloseTag()`
`void` | `disable_tracing()`
`JHDoctype` | `Doctype()`
`void` | `DoctypeItem(java.util.List dtElements)`
`JHElement` | `Element(java.util.List elements)`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`java.util.List` | `getElements()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.util.List` | `HtmlDoc()`
`Token` | `Name()`
`JHOpenTag` | `OpenTag()`
`JHPCData` | `PCData()`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(ParseHtmlTokenManager tm)`
`java.lang.String` | `TagCloser()`
`JHXmlDecl` | `XMLDecl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public ParseHtmlTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### ParseHtml

    public ParseHtml(CharStream stream)

### ParseHtml

    public ParseHtml(ParseHtmlTokenManager tm)

Method Detail

### getElements

    public java.util.List getElements()

### HtmlDoc

    public final java.util.List HtmlDoc()
                                 throws ParseException

  Throws:
    `ParseException`

### Element

    public final JHElement Element(java.util.List elements)
                            throws ParseException

  Throws:
    `ParseException`

### OpenTag

    public final JHOpenTag OpenTag()
                            throws ParseException

  Throws:
    `ParseException`

### XMLDecl

    public final JHXmlDecl XMLDecl()
                            throws ParseException

  Throws:
    `ParseException`

### CloseTag

    public final JHCloseTag CloseTag()
                              throws ParseException

  Throws:
    `ParseException`

### PCData

    public final JHPCData PCData()
                          throws ParseException

  Throws:
    `ParseException`

### Doctype

    public final JHDoctype Doctype()
                            throws ParseException

  Throws:
    `ParseException`

### DoctypeItem

    public final void DoctypeItem(java.util.List dtElements)
                           throws ParseException

  Throws:
    `ParseException`

### Name

    public final Token Name()
                     throws ParseException

  Throws:
    `ParseException`

### AttrVal

    public final java.lang.String AttrVal()
                                   throws ParseException

  Throws:
    `ParseException`

### Attribute

    public final void Attribute(java.util.List attrs)
                         throws ParseException

  Throws:
    `ParseException`

### TagCloser

    public final java.lang.String TagCloser()
                                     throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(ParseHtmlTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD